<?php
session_start();
    header('Access-Control-Allow-Origin:*');
    header('Content-Type; application/json; charset=utf-8');
    header('Access-control-Allow-Method: POST');
    header('Access-control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-request-With');
    include('db.php');
        $inputdata = json_decode(file_get_contents("php://input"), true);
        $num_cmd = $inputdata['num_cmd'];
        $pub=$db->prepare('SELECT SUM(total) AS somme FROM table_invoice_details WHERE num_cmd=?');
        $pub->execute(array($num_cmd));
        $finalSomme=0;
        while ($a =$pub->fetch()) {
            # code...
            $finalSomme=$a['somme'];
        } 
        echo(json_encode(['data' => $finalSomme]));